Classes | Namespaces | Enumerations | Functions
ClarisDrawText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWListener.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSection.hxx"`
`#include "ClarisDrawParser.hxx"`
`#include "ClarisDrawStyleManager.hxx"`
`#include "ClarisDrawText.hxx"`

## Classes
struct | ClarisDrawTextInternal::PLC
| Internal : the different plc types: mainly for debugging. More...
struct | ClarisDrawTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | ClarisDrawTextInternal::ParagraphPLC
| paragraph plc More...
struct | ClarisDrawTextInternal::TextZoneInfo
| internal class used to store a text zone More...
struct | ClarisDrawTextInternal::Token
| Internal: class to store field definition: TOKN entry. More...
struct | ClarisDrawTextInternal::DSET
| low level internal: main text zone More...
struct | ClarisDrawTextInternal::State
| Internal: the state of a ClarisDrawText. More...

## Namespaces
| ClarisDrawTextInternal
| Internal: the structures of a ClarisDrawText.

## Enumerations
enum | ClarisDrawTextInternal::PLCType { ClarisDrawTextInternal::P_Font, ClarisDrawTextInternal::P_Ruler, ClarisDrawTextInternal::P_Child, ClarisDrawTextInternal::P_TextZone, ClarisDrawTextInternal::P_Token, ClarisDrawTextInternal::P_Unknown }
| the different plc type More...
enum | ClarisDrawTextInternal::TokenType { ClarisDrawTextInternal::TKN_UNKNOWN, ClarisDrawTextInternal::TKN_FOOTNOTE, ClarisDrawTextInternal::TKN_PAGENUMBER, ClarisDrawTextInternal::TKN_GRAPHIC, ClarisDrawTextInternal::TKN_FIELD }
| token type More...

## Functions
std::ostream & | ClarisDrawTextInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | ClarisDrawTextInternal::operator<< (std::ostream &o, Token const &tok)